#ifndef _CriticalSection_h
#define _CriticalSection_h

class CriticalSection
{
public:
	CriticalSection()
	{
		InitializeCriticalSection(&lock);
	}
	~CriticalSection()
	{
		DeleteCriticalSection(&lock);
	}
	void Enter()
	{
		EnterCriticalSection(&lock);
	}
	void Leave()
	{
		LeaveCriticalSection(&lock);
	}
private:
	CRITICAL_SECTION lock;
};

#endif