#ifndef GOCVS_H
#define GOCVS_H

#include "FilePath.h"

class Eskimo;
class CvsArgs;
class CNullConsole;
class IglooDialogs;

class GoCvs
{
public:
	GoCvs::GoCvs();
	void SetPassword(string password);
	void SetEskimo(Eskimo* eskimo);
	int Launch(FilePath dir, const CvsArgs & args, ostream *stream);
	int Launch(FilePath dir, const CvsArgs & args);
	char* GetPassword();
	bool YesNo(string question);
	void ErrorLogged();
	bool ShouldStop();
	IglooDialogs* Dialogs();

private:
    int LaunchInThread(bool wincvslib, string path, CvsArgs args, CNullConsole * console, ostream *stream, bool process=true);
	bool IsNtServer(FilePath dir, const CvsArgs & args);
    char password[500];
	Eskimo* eskimo;
};

#endif /* GOCVS_H */
