#ifndef _ParentDisable_h
#define _ParentDisable_h

#include "Eskimo.h"

/**
    This is the main class that is called from the IDE via the sccglue
    Do not change the signature of this class. I.e. don't add any
    virtual functions or member variables.
*/
class ParentDisable
{
public:
    ParentDisable(Eskimo* eskimo_) : eskimo(eskimo_)
	{
		isEnabled=eskimo->Dialogs()->IsParentEnabled();
		if (isEnabled)
		{
			eskimo->Dialogs()->EnableParent(false);
		}
	}
    ~ParentDisable()
	{
		if (isEnabled)
		{
			eskimo->Dialogs()->EnableParent(true);
		}
	}
private:
    Eskimo* eskimo;
	bool isEnabled;
};

#endif // _ParentDisable_h