#include "stdafx.h"
#include "Revision.h"

Revision::Revision(string revision_, bool head_, bool ancestor_) :
revision(revision_), head(head_), ancestor(ancestor_)
{
}

Revision::Revision():
revision(), head(false), ancestor(false)
{

}

bool Revision::IsValid()
{
	return revision.size()>0;
}

bool Revision::IsSoleAncestor()
{
	return !head && ancestor;
}


string Revision::GetLabel() const
{
	string label;
	if (head) label+="head ";
	else if (ancestor) label+="ancestor ";
	label+=revision;
	label+=" ";
	label+=date;
	label+=" ";
	label+=author;
	return label;
}

string Revision::GetRevision() const
{
	return revision;
}

void Revision::SetDate(string date_)
{
	date=date_;
}

void Revision::SetAuthor(string author_)
{
	author=author_;
}

string Revision::GetDate()
{
	return date;
}

string Revision::GetAuthor()
{
	return date;
}
