#if !defined(AFX_SETTINGSDIALOG_H__C80CC017_B402_11D4_80F2_00B0D055CD65__INCLUDED_)
#define AFX_SETTINGSDIALOG_H__C80CC017_B402_11D4_80F2_00B0D055CD65__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SettingsDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// SettingsDialog dialog

#include "Eskimo.h"
#include "UserSettings.h"

class SettingsDialog : public CDialog
{
// Construction
public:
	Eskimo::ExtraCommands m_Command;
	SettingsDialog(Eskimo* eskimo_, int filesSelected_,
		CWnd* pParent = NULL);   // standard constructor
    BOOL OnInitDialog();

// Dialog Data
	//{{AFX_DATA(SettingsDialog)
	enum { IDD = IDD_SETTINGS };
	CButton	m_Connect;
	CButton	m_WatchRemoveButton;
	CButton	m_WatchersButton;
	CButton	m_WatchAddButton;
	CButton	m_LogoutButton;
	CButton	m_LoginButton;
	CButton	m_EditorsButton;
	CButton	m_CommitButtons;
	CButton	m_ProjectBox;
	BOOL	m_Independent;
	BOOL	m_Offline;
	int		m_Mode;
	BOOL	m_Concurrent;
	//}}AFX_DATA
	Eskimo* eskimo;
	int filesSelected;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(SettingsDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
    UserSettings settings;
	// Generated message map functions
	//{{AFX_MSG(SettingsDialog)
	virtual void OnOK();
	afx_msg void OnWatchers();
	afx_msg void OnEditors();
	afx_msg void OnWatchadd();
	afx_msg void OnWatchremove();
	afx_msg void OnCommit();
	afx_msg void OnLogin();
	afx_msg void OnLogout();
	afx_msg void OnConnect();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SETTINGSDIALOG_H__C80CC017_B402_11D4_80F2_00B0D055CD65__INCLUDED_)
