#if !defined(AFX_CREATEMODULE_H__B6B89A2A_473E_4A86_9CE3_02D3F5C5C4FF__INCLUDED_)
#define AFX_CREATEMODULE_H__B6B89A2A_473E_4A86_9CE3_02D3F5C5C4FF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CreateModule.h : header file
//
#include "Resource.h"

/////////////////////////////////////////////////////////////////////////////
// CreateModule dialog

#include "Eskimo.h"
#include "UserSettings.h"

class CreateModule : public CDialog
{
// Construction
public:
	CreateModule(Eskimo* eskimo, CWnd* pParent = NULL);   // standard constructor
	void SetFindMode(bool canChangePath, bool canCreateModule);
	
	BOOL OnInitDialog();
	void UpdateStatus();

// Dialog Data
	//{{AFX_DATA(CreateModule)
	enum { IDD = IDD_CONNECT };
	CButton	m_CreateModule;
	CEdit	m_LocalPathEdit;
	CComboBox	m_ModuleDropDown;
	CComboBox	m_VendorDropDown;
	CComboBox	m_CvsRootDropDown;
	CButton	m_CreateRepository;
	CString	m_LocalPath;
	CString	m_Status;
	CString	m_RootStatus;
	//}}AFX_DATA

	CString	m_ProjectName;
	CString	m_ModuleGuess;

	CString	m_CVSROOT;
	CString	m_Vendor;

	Eskimo::FindModuleResult findResult;

	void UpdateData(bool update=true);
	void AddModule(string module);
	CString GetModule();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CreateModule)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CString	m_Module;

	bool findOnly;
	bool canChangePath;
	bool canCreateModule;

	// Generated message map functions
	//{{AFX_MSG(CreateModule)
	afx_msg void OnCreateRepository();
	afx_msg void OnCreateModule();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnConnect();
	afx_msg void OnCheck();
	afx_msg void OnCheckModule();
	afx_msg void OnChangeCvsroot();
	//}}AFX_MSG
	Eskimo* eskimo;
    UserSettings settings;
//	void Error(string message, string caption);
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CREATEMODULE_H__B6B89A2A_473E_4A86_9CE3_02D3F5C5C4FF__INCLUDED_)
