#ifndef _Entries_h
#define _Entries_h

#include "FilePath.h"

#include <map>
typedef map<string, string> EntriesMap;

class Entries
{
public:
	bool IsFileControlled(string file);
	FilePathVector GetEntriesFiles(string directory) const;
    string GetEntryTimeStamp(string file);
	string GetVersion(string file);
	static Entries& GetEntries(FilePath entriesFile);
	static ClearCache();
private:
	Entries(FilePath entries_);
	string GetEntry(string file);
	EntriesMap entriesMap;
	string entries;
	string timeStamp;
};



#endif //_Entries_h