#ifndef _FileList_h
#define _FileList_h

#include "FilePath.h"
//#include "IglooLink.h"

class FileList
{
public:
	enum Ignore {NOT_CONTROLLED_ONLY=0, CHECKED_OUT=2, CHECKED_IN=4, NONE=8};
	~FileList();
	int NumberOfLists() const;
	const FilePathVector& GetList(int index) const;
	void SetReadOnly();
	void SetWriteable();
protected:
	FileList(ostream& warning_);
	FilePathVector* lists;
	int numberOfLists;
	ostream& warning;
};

#endif // _Filename_h