#ifndef _Revision_h
#define _Revision_h

#include <vector>
using namespace std;


class Revision
{
public:
	Revision();
	Revision(string revision_, bool head_, bool ancestor_);
	string GetLabel() const;
	string GetRevision() const;
	void SetDate(string date_);
	void SetAuthor(string author_);
	string GetDate();
	string GetAuthor();
	bool IsValid();
	bool IsSoleAncestor();
private:
	string revision;
	string date;
	string author;
	bool head;
	bool ancestor;
};

typedef vector<Revision> RevisionVector;

#endif //_Revision_h