#ifndef _Running_h
#define _Running_h

#include "Eskimo.h"
#include "IglooDialogs.h"

/**
    This is the main class that is called from the IDE via the sccglue
    Do not change the signature of this class. I.e. don't add any
    virtual functions or member variables.
*/
class Running
{
public:
    Running(Eskimo* eskimo_) : eskimo(eskimo_) {eskimo->Dialogs()->Running();}
    ~Running()
	{
		if (ShouldStop())
		{
			eskimo->GetLogStream() << "Operation cancelled...\n";
		}
		eskimo->Dialogs()->Stop();
	}
	bool ShouldStop() {return eskimo->Dialogs()->ShouldStop();}
private:
    Eskimo* eskimo;
};

#endif // _Running_h