#if !defined(AFX_RUNNINGDIALOG_H__674897C6_A9CF_11D4_80EB_00B0D055CD65__INCLUDED_)
#define AFX_RUNNINGDIALOG_H__674897C6_A9CF_11D4_80EB_00B0D055CD65__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// RunningDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// RunningDialog dialog

#include <string>
using std::string;

class RunningDialog : public CDialog
{
// Construction
public:
	RunningDialog(HANDLE handle, CWnd* pParent = NULL);   // standard constructor
    BOOL OnInitDialog();

// Dialog Data
	//{{AFX_DATA(RunningDialog)
	enum { IDD = IDD_PROGRESS };
	CButton	m_CancelButton;
	CAnimateCtrl	m_Animate;
	//}}AFX_DATA
	HANDLE handle;
	string message;
	string caption;
	int flags;
	bool messageBox;
	int returnValue;
private:
	bool shouldStop;
	CRITICAL_SECTION lock;
public:
	bool ShouldStop();


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(RunningDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(RunningDialog)
	afx_msg BOOL OnCopyData(CWnd* pWnd, COPYDATASTRUCT* pCopyDataStruct);
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RUNNINGDIALOG_H__674897C6_A9CF_11D4_80EB_00B0D055CD65__INCLUDED_)
